<?php
/*
+-----------------------------------------+
| Bbcode Permissions For PHP-Fusion
+-----------------------------------------+
+-----------------------------------------+
| Copyright © 2009 by Luben Kirov 
| Web: www.sharky-web.com
| Email: webmaster@sharky-web.com
|-----------------------------------------+
==================================================================================
|                                                                                |
|    This program is free software: you can redistribute it and/or modify        |
|    it under the terms of the GNU Affero General Public License as              |
|    published by the Free Software Foundation, either version 3 of the          |
|    License, or (at your option) any later version.                             |
|                                                                                |
|    This program is distributed in the hope that it will be useful,             |
|    but WITHOUT ANY WARRANTY; without even the implied warranty of              |
|    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               |
|    GNU Affero General Public License for more details.                         |
|                                                                                |
|   You should have received a copy of the GNU Affero General Public License     |
|    along with this program.  If not, see <http://www.gnu.org/licenses/>.       |
|                                                                                |
==================================================================================
|-----------------------------------------+
| PHP-Fusion
| Copyright © 2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
|-----------------------------------------+
*/

?>
<?php
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."bbcode_permissions/infusion_db.php";

if (!checkrights("bbp") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."bbcode_permissions/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."bbcode_permissions/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."bbcode_permissions/locale/English.php";
}

function url_exists($strURL) {
    $resURL = curl_init();
    curl_setopt($resURL, CURLOPT_URL, $strURL);
    curl_setopt($resURL, CURLOPT_BINARYTRANSFER, 1);
    curl_setopt($resURL, CURLOPT_FAILONERROR, 1);

    curl_exec ($resURL);

    $intReturnCode = curl_getinfo($resURL, CURLINFO_HTTP_CODE);
    curl_close ($resURL);

    if ($intReturnCode != 200 && $intReturnCode != 302 && $intReturnCode != 304) {
       return false;
    }Else{
        return true ;
    }
}

opentable($locale['bbp_admin1']);


If(url_exists("http://www.sharky-web.com/update/bbcode_p.html")) {
    Echo"<div align='center'><font color='red'><h1>!".$locale['bbp_an']."!<br><a href='http://www.sharky-web.com'>!".$locale['bbp_anc']."!</a></h1></font></div>";
}Else{
    Echo"<div align='center'><h1>.:".$locale['bbp_nn'].":.</h1></div>";
} 

if(!isset($_POST['edit_group']) AND !isset($_POST['edit_user'])){
    echo"<div align ='center'>";
 if (!isset($_POST['search_users']) || !isset($_POST['search_criteria'])) {
		echo "<form name='searchform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
		echo "<table cellpadding='0' cellspacing='0' width='450' class='center'>\n";
		echo "<tr>\n<td align='center' class='tbl'>".$locale['bbp_411']."<br /><br />\n";
		echo "<input type='text' name='search_criteria' class='textbox' style='width:300px' />\n</td>\n";
		echo "</tr>\n<tr>\n<td align='center' class='tbl'>\n";
		echo "<label><input type='radio' name='search_type' value='user_name' checked='checked' />".$locale['bbp_413']."</label>\n";
		echo "<label><input type='radio' name='search_type' value='user_id' />".$locale['bbp_412']."</label></td>\n";
		echo "</tr>\n<tr>\n<td align='center' class='tbl'><input type='submit' name='search_users' value='".$locale['bbp_414']."' class='button' /></td>\n";
		echo "</tr>\n</table>\n</form>\n";
	} elseif (isset($_POST['search_users']) && isset($_POST['search_criteria'])) {
		$mysql_search = ""; 
		if ($_POST['search_type'] == "user_id" && isnum($_POST['search_criteria'])) {
			$mysql_search .= "user_id='".$_POST['search_criteria']."' ";
		} elseif ($_POST['search_type'] == "user_name" && preg_match("/^[-0-9A-Z_@\s]+$/i", $_POST['search_criteria'])) {
			$mysql_search .= "user_name LIKE '".$_POST['search_criteria']."%' ";
		}
		if ($mysql_search) {
			$result = dbquery("SELECT user_id, user_name FROM ".DB_USERS." WHERE ".$mysql_search." ORDER BY user_name");
		}
		if (isset($result) && dbrows($result)) {
			echo "<form name='add_users_p' method='post' action='".FUSION_SELF.$aidlink."'>\n";
			echo "<table cellpadding='0' cellspacing='1' width='450' class='tbl-border center'>\n";
			$i = 0; $users = "";
			while ($data = dbarray($result)) {
				$row_color = ($i % 2 == 0 ? "tbl1" : "tbl2"); $i++;
				$users .= "<tr>\n<td class='$row_color'><label><input type='radio' name='user_id' value='".$data['user_id']."' /> ".$data['user_name']."</label></td>\n</tr>";
			}
			if ($i > 0) {
						echo "<tr>\n<td class='tbl2'><strong>".$locale['bbp_413']."</strong></td>\n</tr>\n";
				echo $users."<tr>\n<td align='center' class='tbl'>\n";
				echo "<br />\n<input type='submit' name='edit_user' value='".$locale['bbp_417']."' class='button' />\n";
				echo "</td>\n</tr>\n";
			} else {
				echo "<tr>\n<td align='center' class='tbl'>".$locale['bbp_418']."<br /><br />\n";
				echo "<a href='".FUSION_SELF.$aidlink."'>".$locale['bbp_419']."</a>\n</td>\n</tr>\n";
			}
			echo "</table>\n</form>\n";
		} else {
			echo "<table cellpadding='0' cellspacing='1' width='450' class='tbl-border center'>\n";
			echo "<tr>\n<td align='center' class='tbl'>".$locale['bbp_418']."<br /><br />\n";
			echo "<a href='".FUSION_SELF.$aidlink."'>".$locale['bbp_419']."</a>\n</td>\n</tr>\n</table>\n";
		}
	}
	echo"</div>";
closetable();
opentable($locale['bbp_admin2']);
    echo "<form name='editgroup' method='post' action='".FUSION_SELF.$aidlink."'>\n";
    echo"<div align ='center'>".$locale['bbp_gr']." <select name='grp'>
    <option value='100'>".$locale['bbp_gu']."</option>
    <option value='101'>".$locale['bbp_me']."</option>
    <option value='102'>".$locale['bbp_ad']."</option>
    <option value='103'>".$locale['bbp_sa']."</option>";
    $grps = dbquery("SELECT * FROM ".DB_USER_GROUPS." ORDER BY group_name");
    while ($data = dbarray($grps)) {
    echo"<option value='".$data['group_id']."'>".$data['group_name']."</option>";
    }    
    echo"</select><br>
    <input type='submit' name='edit_group' value='".$locale['bbp_417']."' class='button' />
    </div></form>";
closetable();
}

if(isset($_POST['edit_group'])){
  $grps = dbquery("SELECT * FROM ".DB_BBCODES."");
  $i = 0;
  echo"<div align ='center'>";
  echo "<form name='savegroup' method='post' action='".FUSION_SELF.$aidlink."'>\n";
  echo"<table width='400px'><tr><td>".$locale['bbp_420']."</td><td>".$locale['bbp_421']."</td><td>".$locale['bbp_422']."</td></tr>";
    while ($data = dbarray($grps)) {
      $result = dbquery("SELECT * FROM ".DB_INFUSION_TABLE." WHERE bbcode='".$data['bbcode_name']."' AND gid='".$_POST['grp']."'");
      echo"<tr><td><input type='hidden' name='n".$i."' value='".$data['bbcode_name']."'>".$data['bbcode_name']."</td>";
        If(dbrows($result) == 0){
          echo"<td><input type='hidden' name='a".$i."' value='0'><input type='radio' name='c".$i."' value='1' /></td><td><input type='radio' name='c".$i."' value='0' checked /></td></tr>";
        }else{
          $data1 = dbarray($result);
          If($data1['perm'] == 1){
            echo"<td><input type='hidden' name='a".$i."' value='1'><input type='radio' name='c".$i."' value='1' checked /></td><td><input type='radio' name='c".$i."' value='0' /></td></tr>";
          }else{
            echo"<td><input type='hidden' name='a".$i."' value='1'><input type='radio' name='c".$i."' value='1' /></td><td><input type='radio' name='c".$i."' value='0' checked /></td></tr>";
          }
          
        }
      $i++;    
    }
  echo"</table><input type='hidden' name='id' value='".$_POST['grp']."'><input type='hidden' name='nbb' value='".$i."'><input type='submit' name='save_group' value='".$locale['bbp_423']."' class='button' /></form></div>";
closetable();
}

if(isset($_POST['edit_user'])){
  $grps = dbquery("SELECT * FROM ".DB_BBCODES."");
  $i = 0;
  echo"<div align ='center'>";
  echo "<form name='savegroup' method='post' action='".FUSION_SELF.$aidlink."'>\n";
  echo"<table width='400px'><tr><td>".$locale['bbp_420']."</td><td>".$locale['bbp_421']."</td><td>".$locale['bbp_422']."</td></tr>";
    while ($data = dbarray($grps)) {
      $result = dbquery("SELECT * FROM ".DB_INFUSION_TABLE1." WHERE bbcode='".$data['bbcode_name']."' AND uid='".$_POST['user_id']."'");
      echo"<tr><td><input type='hidden' name='n".$i."' value='".$data['bbcode_name']."'>".$data['bbcode_name']."</td>";
        If(dbrows($result) == 0){
          echo"<td><input type='hidden' name='a".$i."' value='0'><input type='radio' name='c".$i."' value='1' /></td><td><input type='radio' name='c".$i."' value='0' checked /></td></tr>";
        }else{
          $data1 = dbarray($result);
          If($data1['perm'] == 1){
            echo"<td><input type='hidden' name='a".$i."' value='1'><input type='radio' name='c".$i."' value='1' checked /></td><td><input type='radio' name='c".$i."' value='0' /></td></tr>";
          }else{
            echo"<td><input type='hidden' name='a".$i."' value='1'><input type='radio' name='c".$i."' value='1' /></td><td><input type='radio' name='c".$i."' value='0' checked /></td></tr>";
          }
          
        }
      $i++;    
    }
  echo"</table><input type='hidden' name='id' value='".$_POST['user_id']."'><input type='hidden' name='nbb' value='".$i."'><input type='submit' name='save_user' value='".$locale['bbp_423']."' class='button' /></form></div>";
closetable();
}

if(isset($_POST['save_user'])){
  $i=0;
  while ($i<$_POST['nbb']) {
    if($_POST['a'.$i] == 1){
    $result = dbquery("UPDATE ".DB_INFUSION_TABLE1." SET perm='".$_POST['c'.$i]."' WHERE uid = '".$_POST['id']."' AND bbcode = '".$_POST['n'.$i]."'");
    }else{
    $result = dbquery("INSERT INTO ".DB_INFUSION_TABLE1." (uid, perm, bbcode) VALUES ('".$_POST['id']."', '".$_POST['c'.$i]."', '".$_POST['n'.$i]."')");
    }
    $i++;
  }
}

if(isset($_POST['save_group'])){
  $i=0;
  while ($i<$_POST['nbb']) {
    if($_POST['a'.$i] == 1){
    $result = dbquery("UPDATE ".DB_INFUSION_TABLE." SET perm='".$_POST['c'.$i]."' WHERE gid = '".$_POST['id']."' AND bbcode = '".$_POST['n'.$i]."'");
    }else{
    $result = dbquery("INSERT INTO ".DB_INFUSION_TABLE." (gid, perm, bbcode) VALUES ('".$_POST['id']."', '".$_POST['c'.$i]."', '".$_POST['n'.$i]."')");
    }
    $i++;
  }
}

require_once THEMES."templates/footer.php";
?>

