<?php
/*
+-----------------------------------------+
| Bbcode Permissions For PHP-Fusion
+-----------------------------------------+
+-----------------------------------------+
| Copyright © 2009 by Luben Kirov 
| Web: www.sharky-web.com
| Email: webmaster@sharky-web.com
|-----------------------------------------+
==================================================================================
|                                                                                |
|    This program is free software: you can redistribute it and/or modify        |
|    it under the terms of the GNU Affero General Public License as              |
|    published by the Free Software Foundation, either version 3 of the          |
|    License, or (at your option) any later version.                             |
|                                                                                |
|    This program is distributed in the hope that it will be useful,             |
|    but WITHOUT ANY WARRANTY; without even the implied warranty of              |
|    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               |
|    GNU Affero General Public License for more details.                         |
|                                                                                |
|   You should have received a copy of the GNU Affero General Public License     |
|    along with this program.  If not, see <http://www.gnu.org/licenses/>.       |
|                                                                                |
==================================================================================
|-----------------------------------------+
| PHP-Fusion
| Copyright © 2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
|-----------------------------------------+
*/

?>
<?php
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."bbcode_permissions/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."bbcode_permissions/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."bbcode_permissions/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."bbcode_permissions/locale/English.php";
}

// Infusion general information
$inf_title = $locale['bbp_title'];
$inf_description = $locale['bbp_desc'];
$inf_version = "1.0";
$inf_developer = "Luben Kirov";
$inf_email = "webmaster@sharky-web.com";
$inf_weburl = "http://www.sharky-web.com";

$inf_folder = "bbcode_permissions"; // The folder in which the infusion resides.

// Delete any items not required below.
$inf_newtable[1] = DB_INFUSION_TABLE." (
id INT UNSIGNED NOT NULL AUTO_INCREMENT,
gid INT(8) UNSIGNED NOT NULL DEFAULT '0',
perm TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
bbcode varchar(100) default NULL,
PRIMARY KEY(id)
) TYPE=MyISAM;";

$inf_newtable[2] = DB_INFUSION_TABLE1." (
id INT UNSIGNED NOT NULL AUTO_INCREMENT,
uid INT(8) UNSIGNED NOT NULL DEFAULT '0',
perm TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
bbcode varchar(100) default NULL,
PRIMARY KEY(id)
) TYPE=MyISAM;";


$inf_droptable[1] = DB_INFUSION_TABLE;
$inf_droptable[1] = DB_INFUSION_TABLE1;

$inf_adminpanel[1] = array(
	"title" => $locale['bbp_admin'],
	"image" => "bbp.png",
	"panel" => "bbcode_permissions_admin.php",
	"rights" => "bbp"
);
?>

